Bug 122155 - switchdesk 4.0.2-1 may not upgrade correctly from 3.9.8-18
switchdesk 4.0.2-1 may not upgrade correctly from 3.9.8-18
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
rawhide
noarch Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 20:23 EDT by Andrew Farris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-01 17:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2004-04-30 20:23:47 EDT
Description of problem:
The latest (4.0.2-1) switchdesk and -gui components have odd behavior
when updating from switchdesk for FC1.  The switchdesk-3.x package is
removed/updated by rpm but the gui components for the old version are
not removed (they apparently do not depend on the 3.x package). 
Upgrade of the new switchdesk-gui package does remove the old gui
packages (-kde and -gnome) but install of the new -gui package does
NOT remove the old packages (obseletes?).  The install and upgrade
behavior for the new -gui package should be the same.

I have not verified this happens with the update yet, it may be dealt
with already by anaconda.  This is run on a rawhide system with
switchdesk removed prior to this exercise.

-#-> rpm -i switchdesk-*3*18*

-#-> rpm -qa | grep switchdesk
switchdesk-gnome-3.9.8-18
switchdesk-kde-3.9.8-18
switchdesk-3.9.8-18

-#-> rpm -U switchdesk-4.0.2-1.noarch.rpm

-#-> rpm -qa | grep switchdesk
switchdesk-gnome-3.9.8-18
switchdesk-kde-3.9.8-18
switchdesk-4.0.2-1

-#-> rpm -i switchdesk-gui-4.0.2-1.noarch.rpm

-#-> rpm -qa | grep switchdesk
switchdesk-gnome-3.9.8-18
switchdesk-kde-3.9.8-18
switchdesk-4.0.2-1
switchdesk-gui-4.0.2-1

-#-> rpm -e switchdesk-gui

-#-> rpm -U switchdesk-gui-4.0.2-1.noarch.rpm

-#-> rpm -qa | grep switchdesk
switchdesk-gui-4.0.2-1
switchdesk-4.0.2-1
Comment 1 Ngo Than 2004-05-01 17:34:54 EDT
using "rpm -i packages" only installs new package but does not update !
that means that only package will be not removed.

If you want to update your package you have to use rpm -U instead -i.

Note You need to log in before you can comment on or make changes to this bug.